- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | Friends

# QThreadPool Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qthreadpool.h.

`#include <qthreadpool.h>`

Inheritance diagram for QThreadPool:
[legend]

List of all members.

## Public Member Functions
| QThreadPool (QObject *parent=0)
| ~QThreadPool ()
void | start (QRunnable *runnable, int priority=0)
bool | tryStart (QRunnable *runnable)
int | expiryTimeout () const
void | setExpiryTimeout (int expiryTimeout)
int | maxThreadCount () const
void | setMaxThreadCount (int maxThreadCount)
int | activeThreadCount () const
void | reserveThread ()
void | releaseThread ()
void | waitForDone ()
## Static Public Member Functions
static QThreadPool * | globalInstance ()
## Properties
int | expiryTimeout
int | maxThreadCount
int | activeThreadCount
## Friends
class | QFutureInterfaceBase

## Constructor & Destructor Documentation

QThreadPool | ( | QObject * | parent = `0` | ) |

~QThreadPool | ( |  | ) |

## Member Function Documentation

static QThreadPool* globalInstance | ( |  | ) | `[static]`

Search for all occurrences

void start | ( | QRunnable * | runnable,
|  | int | priority = `0`
| ) |  |

Search for all occurrences

bool tryStart | ( | QRunnable * | runnable | ) |

Search for all occurrences

int expiryTimeout | ( |  | ) | const

Search for all occurrences

void setExpiryTimeout | ( | int | expiryTimeout | ) |

Search for all occurrences

int maxThreadCount | ( |  | ) | const

Search for all occurrences

void setMaxThreadCount | ( | int | maxThreadCount | ) |

Search for all occurrences

int activeThreadCount | ( |  | ) | const

Search for all occurrences

void reserveThread | ( |  | ) |

Search for all occurrences

void releaseThread | ( |  | ) |

Search for all occurrences

void waitForDone | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QFutureInterfaceBase `[friend]`

Search for all occurrences

Definition at line 65 of file qthreadpool.h.

## Property Documentation

int expiryTimeout `[read, write]`

Search for all occurrences

Definition at line 62 of file qthreadpool.h.

int maxThreadCount `[read, write]`

Search for all occurrences

Definition at line 63 of file qthreadpool.h.

int activeThreadCount `[read]`

Search for all occurrences

Definition at line 64 of file qthreadpool.h.

The documentation for this class was generated from the following file:

- QtCore/qthreadpool.h

QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool
QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool QThreadPool